<div id="UMJsPortlet">
  <form id="filterForm">
    <div class="filterFormDiv">
      <div class="inputGroup">
        <label for="fullName">Name</label>
        <input type="text" id="fullNameInput" name="fullName" placeholder="Enter name">
        <div class="borderBtn"></div>
      </div>
      <div class="inputGroup">
        <label for="company">Company</label>
        <input type="text" id="companyInput" name="company" placeholder="Enter company">
        <div class="borderBtn"></div>
      </div>
      <div class="inputGroup">
        <label for="email">Email</label>
        <input type="text" id="emailInput" name="email" placeholder="Enter email">
        <div class="borderBtn"></div>
      </div>
    </div>
    <div id="filterBtnDiv">
      <button type="submit" form="filterForm" id="filterFormBtn">Filter</button>
      <button type="button" id="resetUserTableBtn">Reset</button>
    </div>
  </form>
  <div id="enableDisableContainer">
    <div id="enableDisableBtnContainer">
      <div>
        <button type="button" id="enabledBtn">
          <svg xmlns="http://www.w3.org/2000/svg" width="21" height="24" viewBox="0 0 21 24" fill="none">
            <path fill-rule="evenodd" clip-rule="evenodd"
              d="M16.9024 6.25C16.9024 7.89128 16.2544 9.3848 15.1944 10.5H15.878C18.7068 10.5 21 12.7386 21 15.5V24H0V15.5C0 12.7386 2.29319 10.5 5.12195 10.5H5.80559C4.74562 9.3848 4.09756 7.89128 4.09756 6.25C4.09756 2.79822 6.96403 0 10.5 0C14.036 0 16.9024 2.79822 16.9024 6.25ZM14.2625 15.521C14.396 15.3749 14.3562 15.1699 14.1735 15.0631C13.9907 14.9564 13.7344 14.9883 13.6009 15.1344L10.0022 18.751L7.88156 16.9139C7.72807 16.7809 7.46884 16.7726 7.30253 16.8954C7.13628 17.0181 7.1259 17.2254 7.2794 17.3584L9.56896 19.3419C9.8315 19.5693 10.2884 19.5484 10.5168 19.2985L14.2625 15.521Z"
              fill="#023877" />
          </svg>
          <span class="enableDisableText">Enable</span></button>
      </div>
      <div>
        <button type="button" id="disabledBtn">
          <svg xmlns="http://www.w3.org/2000/svg" width="21" height="24" viewBox="0 0 21 24" fill="none">
            <path fill-rule="evenodd" clip-rule="evenodd"
              d="M16.9024 6.25C16.9024 7.89128 16.2544 9.3848 15.1944 10.5H15.878C18.7068 10.5 21 12.7386 21 15.5V24H0V15.5C0 12.7386 2.29318 10.5 5.12195 10.5H5.80562C4.74564 9.3848 4.09756 7.89128 4.09756 6.25C4.09756 2.79822 6.96403 0 10.5 0C14.036 0 16.9024 2.79822 16.9024 6.25ZM13.9515 17.4545V16.5H6.62943V17.4545H13.9515Z"
              fill="#C3C3C3" />
          </svg>
          <span class="enableDisableText">Disable</span></button>
      </div>
    </div>
    <div>
      <select name="enableDisableSelect" id="enableDisableSelect">
        <option value="ENABLED">Enable</option>
        <option value="DISABLED">Disable</option>
      </select>
    </div>
  </div>
  <div id="tableContainer" style="display: table;">
    <table id="userTable" border="1">
      <tr>
        <th class="selectCol">
          <label class="custom-checkbox">
            <input type="checkbox" name="selectRow" id="selectRow" />
            <span class="checkmark"></span>
          </label>
        </th>
        <th class="companyCol">Company</th>
        <th class="firstNameCol">First Name</th>
        <th class="lastNameCol">Last Name</th>
        <th>Email</th>
        <th class="isInternalCol">Type</th>
        <th class="lastLoginTimeCol">Last Login Time</th>
        <th class="enabledCol">Enabled</th>
      </tr>
    </table>
    <div id="paginationControls">
      <div id="zeroUsers" style="display: none;">Showing 0 users</div>
      <div id="showingFilterUsers" style="display: none;">Showing</div>
      <div id="limitSelectDiv">
        <div id="rowsPerPageText">Rows per page:</div>
        <select id="limitSelect">
          <option value="20" selected>20</option>
          <option value="50">50</option>
          <option value="100">100</option>
          <option value="500">500</option>
        </select>
      </div>
      <div id="paginationInfo">
        <div id="showUsersFrom">
          <span id="usersRange">1 - 1</span>
          <span>of</span>
          <span id="totalUsers">1</span>
        </div>
      </div>
      <div id="paginationBtns">
        <button id="prevPage">
          <svg xmlns="http://www.w3.org/2000/svg" width="10" height="16" viewBox="0 0 10 16" fill="none">
            <path fill-rule="evenodd" clip-rule="evenodd"
              d="M9.62268 0.341509C9.98636 0.757146 9.94424 1.38891 9.52861 1.75259L2.3887 8.00001L9.52861 14.2474C9.94424 14.6111 9.98636 15.2429 9.62268 15.6585C9.259 16.0742 8.62724 16.1163 8.2116 15.7526L0.641643 9.12888C-0.0413465 8.53126 -0.0413504 7.46877 0.641643 6.87115L8.2116 0.247437C8.62724 -0.116245 9.259 -0.0741276 9.62268 0.341509Z"
              fill="black" />
          </svg> </button>
        <span id="currentPage">1</span><span>/</span><span id="totalPages">1</span>
        <button id="nextPage"><svg xmlns="http://www.w3.org/2000/svg" width="10" height="16" viewBox="0 0 10 16"
            fill="none">
            <path fill-rule="evenodd" clip-rule="evenodd"
              d="M0.37732 15.6585C0.0136378 15.2429 0.0557553 14.6111 0.471392 14.2474L7.6113 7.99999L0.471392 1.75256C0.0557553 1.38888 0.0136378 0.757118 0.37732 0.341482C0.741002 -0.0741539 1.37276 -0.116272 1.7884 0.24741L9.35836 6.87112C10.0413 7.46874 10.0414 8.53123 9.35836 9.12885L1.7884 15.7526C1.37276 16.1162 0.741002 16.0741 0.37732 15.6585Z"
              fill="black" />
          </svg></button>
      </div>
    </div>
  </div>
</div>
<div id="loadingDiv" style="display: none;margin: 0 auto;">
  Please wait, we're fetching users...
</div>
<div id="updateDiv" style="display: none;margin: 0 auto;">
  Please wait, we're updating users...
</div>